## org.apache.xalan.trace
Class ExtensionEvent

    java.lang.Object
      org.apache.xalan.trace.ExtensionEvent

    public class ExtensionEvent

extends java.lang.Object

An event representing an extension call.

Field Summary
`static int` `CONSTRUCTOR`
`static int` `DEFAULT_CONSTRUCTOR`
`java.lang.Object[]` `m_arguments`
`int` `m_callType`
`java.lang.Object` `m_instance`
`java.lang.Object` `m_method`
`TransformerImpl` `m_transformer`
`static int` `METHOD`

Constructor Summary
`ExtensionEvent(TransformerImpl transformer, java.lang.Class clazz)`
`ExtensionEvent(TransformerImpl transformer, java.lang.reflect.Constructor constructor, java.lang.Object[] arguments)`
`ExtensionEvent(TransformerImpl transformer, java.lang.reflect.Method method, java.lang.Object instance, java.lang.Object[] arguments)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONSTRUCTOR

    public static final int DEFAULT_CONSTRUCTOR

See Also:
  Constant Field Values

### METHOD

    public static final int METHOD

See Also:
  Constant Field Values

### CONSTRUCTOR

    public static final int CONSTRUCTOR

See Also:
  Constant Field Values

### m_callType

    public final int m_callType

### m_transformer

    public final TransformerImpl m_transformer

### m_method

    public final java.lang.Object m_method

### m_instance

    public final java.lang.Object m_instance

### m_arguments

    public final java.lang.Object[] m_arguments

Constructor Detail

### ExtensionEvent

    public ExtensionEvent(TransformerImpl transformer,
                          java.lang.reflect.Method method,
                          java.lang.Object instance,
                          java.lang.Object[] arguments)

### ExtensionEvent

    public ExtensionEvent(TransformerImpl transformer,
                          java.lang.reflect.Constructor constructor,
                          java.lang.Object[] arguments)

### ExtensionEvent

    public ExtensionEvent(TransformerImpl transformer,
                          java.lang.Class clazz)

Copyright © 2005 Apache XML Project. All Rights Reserved.